import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconChevronDownCss = ".sc-digi-icon-chevron-down-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-chevron-down-h svg.sc-digi-icon-chevron-down{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconChevronDownStyle0 = iconChevronDownCss;

const IconChevronDown = /*@__PURE__*/ proxyCustomElement(class IconChevronDown extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    render() {
        return (h("svg", { key: '6cc584de0091afadb4ec291b4979e11274374772', class: "digi-icon-chevron-down", width: "14", height: "8", viewBox: "0 0 14 8", xmlns: "http://www.w3.org/2000/svg", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined }, this.afTitle && h("title", { key: '4de20700aec0745be6945f089acb771fc29eb867', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: '65862f3b10d602e4950733c4b3c968076accdc4a' }, this.afDesc), h("path", { key: '8089e91c24203f21e0c5c9394b2bfbe344c5ff29', class: "digi-icon-chevron-down__shape", d: "M1 1l6.074 6L13 1.147", stroke: "currentColor", "stroke-width": "2", fill: "none", "fill-rule": "evenodd" })));
    }
    static get style() { return DigiIconChevronDownStyle0; }
}, [2, "digi-icon-chevron-down", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-chevron-down"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-chevron-down":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconChevronDown);
            }
            break;
    } });
}

export { IconChevronDown as I, defineCustomElement as d };
